# VisualCpp

API Documentation: | `VisualCpp`

Note: This class is incubating and may change in a future version of Gradle.

The Visual C++ tool chain.

### Properties

Property | Description
`installDir` | Incubating The directory where Visual Studio or Visual C++ is installed.
`windowsSdkDir` | Incubating The directory where Windows SDK is installed.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `File` `installDir`

Note: This property is incubating and may change in a future version of Gradle.

The directory where Visual Studio or Visual C++ is installed.

#### `File` `windowsSdkDir`

Note: This property is incubating and may change in a future version of Gradle.

The directory where Windows SDK is installed.